<html ng-app="app">
<head>
    <meta charset="UTF-8">
    <title> || Angular Training</title>

    <!-- Put Some Style Dude -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.6.1/css/bulma.min.css" />
</head>
<body class="section">
    <p>$rootScope favorite color: </p>
    <h3 class="subtitle">{{ color }}</h3>

    <!-- Parent Controller -->
    <div ng-controller="mainController" class="box">
        <p>The $scope of this controller color: </p>
        <h3 class="subtitle is-2">{{ color }}</h3>

        <!-- Child Controller -->
        <div ng-controller="childController" class="box">
            <p>The $scope of this child controller color: </p>
            <h3 class="subtitle is-1">{{ color }}</h3>
        </div>
    </div>

    <p>$rootScope's color is still: </p>
    <h3 class="subtitle">{{ color }}</h3>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.6.5/angular.js"></script>
    <script src="app.js"></script>
</body>
</html>
